open graphical modeler models

2015-12-27 02:42 AM - christian user

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Modeller

Affected QGIS version:2.8.5 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22051

Description

Hi there I'm trying to open models I saved on another system. Unfortunately QGIS refuses to open the models. Opening seams ok

between different QGIS Versions (2.8.5, 2.12.1, 2.10.1) on the same machine but fails when changing to another system using even the

same version.

Imported the models via simple copy in the designated folder. Also used the import function from file in QGIS. Might be related to the

operator "joinbylocation".

History

#1 - 2015-12-27 04:19 AM - Giovanni Manghi

- Category set to Processing/Modeller

- Status changed from Open to Feedback

Are you copying the model between the same OS?

The different systems are using the same Processing version?

Can you attach a sample model?

#2 - 2015-12-27 09:32 AM - christian user

- File multi_buffer.model added

System is Win7 64bit on both machines.

I tried different QGIS versions on both machines to make it work(same version, newer, older, in general I used 2.8.5 on both).

I attached a sample model.

#3 - 2015-12-27 11:10 AM - Anita Graser

Please let us know which Processing version (not same as QGIS version!) you are using.

I can only confirm that the model cannot be opened with the recent version of Processing.

#4 - 2015-12-28 04:29 AM - christian user

- File qgisversion.png added
It's the standard 2.8.5 LTR installation if this is of interest.

Where can I find the version? I can see some statements in the about dialog but nothing specific about the graphical modeler.

#5 - 2015-12-28 05:17 AM - Giovanni Manghi

christian user wrote:

It's the standard 2.8.5 LTR installation if this is of interest.

Where can I find the version? I can see some statements in the about dialog but nothing specific about the graphical modeler.

Processing/Modeller is a core plugin, you must look for its version in the Plugin Manager.

#6 - 2015-12-29 03:50 AM - christian user

That's a good hint. I think this is not stated pretty clearely in the docs. As a plugin, even core plugin, processing I guess remains untouched when installing

a newer version of QGIS. I think it's related to different versions not being compatible. I will take a look at the processing version on my office pc next week

and report.

Anyone ever tried to open older models after updating processing in the plugin manager?

#7 - 2015-12-30 02:12 AM - Giovanni Manghi

christian user wrote:

As a plugin, even core plugin, processing I guess remains untouched when installing a newer version of QGIS.

When you install a new version of QGIS you get a new version of Processing, but as a python plugin this is upgradeable (and this is good because we are

able to ship bug fixes without needing a new QGIS release). When a new updated version is installed with the plugin manager this is placed in the standard

folder for python plugins, and is used instead of the version shipped with the qgis installer.

#8 - 2016-01-09 04:18 AM - christian user

Thanks for straighten that out. So on my office pc there's processing version 2.2.0-2, which i think is an updated version and therefore persisted installing

newer versions of qgis. I tried open the stream using processing 2.4 successfully on another pc but unfortunaltely 2.4 isn't that stable. Updating QGIS on

that pc to 2.8.5 updated processing to version 2.6 which makes impossible to open the stream. So my guess is to copy the 2.2.0-2 processing plugin folder

to newer versions to make it work or rewriting the whole streams in a newer processing version making it work till the next processing update.

#9 - 2016-02-18 11:19 AM - Alexander Bruy

- Status changed from Feedback to Closed

The model is in very old format and can not be opened by Processing, as model format and algorithms were changed.

Files

multi_buffer.model 2.26 KB 2015-12-27 christian user

qgisversion.png 10.4 KB 2015-12-28 christian user

2024-03-13 2/2


